Hi guys,

I downloaded and installed Backtrack 5 r2 yesterday, I never used Linux before in my life... And its great!

But since a command update, I got those warning, for any dpkg command :

Using x64 GNOME 5 R2

root@bt:~# sudo dpkg -i --force-all avast4workstation_1.3.0-2.deb

dpkg: warning: parsing file '/var/lib/dpkg/status' near line 5128 package 'magictree':
error in Version string 'r1643-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 14861 package 'udptunnel':
error in Version string 'r19-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 19050 package 'untidy':
error in Version string 'beta2-bt1': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 21655 package 'pwntcha':
error in Version string 'rev4780-bt3': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 35305 package 'webslayer':
error in Version string 'rev5-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 39481 package 'protos-sip':
error in Version string 'r2-bt1': version number does not start with digit
dpkg: error processing avast4workstation_1.3.0-2.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
avast4workstation_1.3.0-2.deb
I tried to uninstall ClamAv too - have an error at the end near: "Processing triggers for menu ...":
oot@bt:~/Desktop/avast4workstation-1.3.0# apt-get remove clamav
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libnumber-compare-perl libfile-find-rule-perl clamav-base libclamav6
libtext-glob-perl clamav-freshclam libtommath0
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
clamav clamtk
0 upgraded, 0 newly installed, 2 to remove and 6 not upgraded.
After this operation, 2,085kB disk space will be freed.
Do you want to continue [Y/n]? y
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 5128 package 'magictree':
error in Version string 'r1643-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 14901 package 'udptunnel':
error in Version string 'r19-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 19089 package 'untidy':
error in Version string 'beta2-bt1': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 21694 package 'pwntcha':
error in Version string 'rev4780-bt3': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 35344 package 'webslayer':
error in Version string 'rev5-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 39520 package 'protos-sip':
error in Version string 'r2-bt1': version number does not start with digit
(Reading database ... 277046 files and directories currently installed.)
Removing clamtk ...
Removing clamav ...
Processing triggers for man-db ...
Processing triggers for menu ...
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 5128 package 'magictree':
error in Version string 'r1643-bt0': version number does not start with digit
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 14901 package 'udptunnel':
error in Version string 'r19-bt0': version number does not start with digit
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 19089 package 'untidy':
error in Version string 'beta2-bt1': version number does not start with digit
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 21694 package 'pwntcha':
error in Version string 'rev4780-bt3': version number does not start with digit
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 35344 package 'webslayer':
error in Version string 'rev5-bt0': version number does not start with digit
dpkg-query: warning: parsing file '/var/lib/dpkg/status' near line 39520 package 'protos-sip':
error in Version string 'r2-bt1': version number does not start with digit
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for python-support ...
I already tried the --purge command as suggested by many forums - but solutions are not working...
Please tell me I dont have to re-format :S

Any help will be appreciate!